import 'package:anyway/domain/entities/landmark.dart';
import 'package:anyway/domain/entities/preferences.dart';
import 'package:anyway/domain/entities/trip.dart';

abstract class TripRepository {
  Future<Trip> getTrip({Preferences? preferences, String? tripUUID, List<Landmark>? landmarks});

  Future<List<Landmark>> searchLandmarks(Preferences preferences);
}
